// remove Odd-number Lines of Selection.
// 删除选定行的奇数行。

var pSelText=AkelPad.GetSelText(2);
var sArray=pSelText.split("\n");
var sNewArray=[];

for (i=0;i<sArray.length;i+=1)
{
  if (i!=2*Math.floor(i/2))
  {
    sNewArray.push(sArray[i]);
  }
//   if (i==2*Math.floor(i/2))
//   {
//     sNewArray.push(sArray[i]);
//   }
}

AkelPad.ReplaceSel(sNewArray.join("\n"));

sArray=null;
sNewArray=null;
CollectGarbage();
